debirf (0.38) unstable; urgency=medium

  [ Daniel Kahn Gillmor ]
  * added btrfs-progs to rescue profile

  [ Chris Lamb ]
  * Make build reproducible (Closes: #859302)

  [ Daniel Kahn Gillmor ]
  * re-added scsitools, since #686881 got fixed
  * added p7zip due (request from taggart)
  * wrap-and-sort -ast
  * standards-version: bump to 4.1.3 (moved to Priority: optional)
  * move to debhelper 11
  * move to salsa.debian.org
  * d/changelog: strip trailing whitespace
  * avoid using asterisk in NEWS
  * add an autopkgtest autobuilder
  * fix tar sort order

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 08 Jan 2018 18:43:42 -0500

debirf (0.37) unstable; urgency=medium

  [ JH Chatenet ]
  * run fakeroot with bash (Closes: #850080)
  * a0_prep-root: run insserv if installed (Closes: #833125)

  [ Antoine Beaupré ]
  * avoid crash if CDPATH is set (Closes: #848693)

  [ Daniel Kahn Gillmor ]
  * enable rootfs xz compression (Closes: #813472)
  * Add more utilities to rescue profile (Closes: #834478)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 18 May 2017 12:10:07 -0400

debirf (0.36) unstable; urgency=medium

  * better systemd compatibility, prune obsolete modules
  * xkiosk profile no longer supported, purged
  * Better package include/exclude handling (Closes: #754470)
  * update install-kernel module for kmod (Closes: #815106)
  * fix cross-arch nests (Closes: #778752)
  * fix argument parsing for mutually exclusive write modes (Closes: #721094)
  * added diskscan to rescue (Closes: #803792)
  * ensure that isolinux CDs can actually boot (Closes: #773774)
  * bump standards-version to 3.9.8 (no changes needed)
  * move to dh 9
  * use standard debian/copyright syntax

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Sun, 08 May 2016 18:51:56 -0700

debirf (0.35) unstable; urgency=medium

  * reproducibility: make example profiles reproducible (thanks, Chris
    Lamb) (Closes: #777183)
  * use real ldconfig after building nest (Closes: #754457)
  * Bumped Standards-Version to 3.9.6 (no changes needed)
  * added new DEBIRF_EXTRA_PACKAGES variable to $profile/debirf.conf to
    get packages pulled in during debootstrap (lets us avoid some postinst
    scripts inserv failures during subsequent installs).

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 09 Jul 2015 10:26:59 -0400

debirf (0.34) unstable; urgency=medium

  * Don't try to make device nodes within the chroot (Closes: #732322)
  * remove e2undel and recover from the rescue image, since they were both
    removed from debian.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 24 Jun 2014 16:07:32 -0400

debirf (0.33) unstable; urgency=low

  [ Jameson Rollins ]
  * fix comments about default suite in example config files.  Thanks,
    Simon Elsbrock!  (Closes: #656138)

  [ Matt Taggart ]
  * ddrescue was dropped in favor of gddrescue (Closes: #685138)

  [ Daniel Kahn Gillmor ]
  * removed scsitools from rescue module due to maintainer script breakage
    under fakechroot (see #686881)
  * work around flakey insserv under debootstrap --variant=fakechroot (see
    #686965)
  * the above two changes suffice to: (Closes: #655555)
  * debian/changelog: bumped Standards-Version to 3.9.3 (no changes needed)
  * only provisionally install smp-utils, since it was introduced in wheezy.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 07 Sep 2012 16:01:51 -0400

debirf (0.32) unstable; urgency=low

  [ Daniel Kahn Gillmor ]
  * make rootfs mode 0755 (Closes: #622808)
  * add several good packages for rescue module (Closes: #644576)
    Thanks, Matt Taggart!
  * updated debian/copyright to latest DEP5 spec
  * Standards-Version: 3.9.2 (no changes needed)

  [ Jameson Graef Rollins ]
  * remove dependency on busybox
  * fix builds for sid/sid and stable/stable (cross builds are still not
    working, unfortunately)
  * remove aptitude from image
  * other minor bug fixes

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Sun, 27 Nov 2011 12:32:59 -0800

debirf (0.31) unstable; urgency=low

  * update autobuilder to generate index and checksums and be explicit
    about what architecture it is building.
  * modules/rescue: select u-boot-tools preferentially if available in the
    requested distro.
  * modules/rescue: adding screen and bonnie++
  * modules/serial-terminal: automate selection of serial port and bit
    rate for getty based on kernel params.
  * fix pack_rootfs() (Closes: #620323)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 05 Apr 2011 23:08:59 -0400

debirf (0.30) unstable; urgency=low

  * Fix silly error in install-runit module (should fix xkiosk)
  * root-passwd module is now lock-root-passwd (avoids operator
    interaction)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 24 Mar 2011 00:08:11 -0400

debirf (0.29) unstable; urgency=low

  [ Daniel Kahn Gillmor ]
  * Switch to native packaging.
  * mknod without absolute paths to work around #611156 (Closes: #618260)
  * added grub2 to the rescue image (Closes: #596708) (might need to
    change if the grub2 dummy package goes away)
  * relying on grub2's better implementation of terminal choosing (Closes:
    #606425)
  * do not add security repositories for sid/unstable (Closes: #619331)
  * use xorriso instead of genisoimage

  [ Jameson Rollins ]
  * clear TMPDIR when working in chroot
  * add scrub and wipe to rescue image

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Tue, 22 Mar 2011 19:11:36 -0700

debirf (0.28-1) UNRELEASED; urgency=low

  * New Upstream Release:
   - enable passing kernel architecture.  Thanks, Guido Günther!
     (Closes: #570778)
  * Bumped Standards-Version to 3.9.1 (no changes needed)

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Fri, 05 Nov 2010 11:11:28 -0400

debirf (0.27-1) unstable; urgency=low

  * New Upstream Release:
    - grub-mkrescue has changed, and is now arch-indep. adjust makeiso to
      match.
    - fix buggy selection of kernel and initramfs during makeiso.
    - use DEBIRF_ISO_BOOTLOADER instead of DEBIRF_ELTORITO, making way for
      other possible bootloaders (yaboot?) for makeiso subcommand.
    - add security repositories for rescue and xkiosk
    - enable extra repos to allow karmic rescue to work (closes CMRG: #108)
    - don't require partimage for rescue image on ubuntu, since it is not
      available on amd64 there (see LP 198724)
  * Bumped Standards-Version to 3.8.4 (no changes needed)
  * included revision number in debian/copyright for DEP5

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 17 Feb 2010 01:39:34 -0500

debirf (0.26-1) unstable; urgency=low

  * add cpio to deboostrap INCLUDE

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Wed, 09 Dec 2009 12:16:20 -0500

debirf (0.25-1) unstable; urgency=low

  * use busybox cpio in nest now that's it's been fixed (closes CMRG: #54)
  * remove no longer needed install-udev module (udev installed by default)
  * improve grub menu configuration (Closes: #544409)
  * updated README, and makeiso checking (Closes: #554020)
  * ubuntu debirf installs now default to Karmic Koala.
  * redirect log out to stderr
  * use more generic kernel package name to find kernel name (LP: #474739)
  * formalize Debian copyright file

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Sun, 29 Nov 2009 21:41:13 -0500

debirf (0.24-1) unstable; urgency=low

  * "absolutize" BUILDD path to get around bug in getcwd in fakechroot
    (#548691)
  * update makeiso to use grub-mkrescue from the grub2 grub-pc package.
    support for using isolinux from the syslinux-common package is also
    now included (Closes: #548712).
  * bumped standards version to 3.8.3 (no changes needed).
  * explicitly delete root passwd

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Wed, 30 Sep 2009 09:24:14 +0200

debirf (0.23-1) unstable; urgency=low

  [ Daniel Kahn Gillmor ]
  * updated my e-mail address
  * added ntfsprogs, fatresize, tofrodos, dosfstools to the rescue module
    to help recover Windows filesystems with debirf.
  * added hfsprogs, hfsutils, hfsplus to the rescue module to help recover
    MacOS filesystems with debirf.
  * added e2undel, recover, e2tools, reiserfstools to the rescue module to
    help recover Linux filesystems with debirf.
  * added parted to rescue module for dealing with various kinds of
    partition tables.
  * fixed broken sed expression in nest library search (thanks, Guido Günther)
    (Closes: #509381)
  * bumped policy to 3.8.1 (no changes needed).

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 16 Jun 2009 13:34:05 -0400

debirf (0.22-1) unstable; urgency=low

  [ Daniel Kahn Gillmor ]
  * fixed nest on 64-bit architectures (Closes: #509381).

  [ Jameson Graef Rollins ]
  * add DEBIRF_ARCH variable to allow for specifying different
    architecture than default (thanks to Gary Kramlich for patch).
  * fix initramfs determination in makeiso (thanks again Gary Kramlich).

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Sat, 20 Dec 2008 15:21:34 -0500

debirf (0.21-1) unstable; urgency=low

  [ Daniel Kahn Gillmor ]
  * fixing makeiso image name generation
  * placing serial-console boot stanza in menu.lst for ISO
  * debian/control: swapped Maintainer and Uploader, updated my e-mail
    address.
  * xkiosk uses modern runit controls instead of explicitly symlinking
    servicedirs

  [ Jameson Graef Rollins ]
  * canonicalize paths in makeiso function
  * strip tailing slashes off of profile names to avoid weird problems
    with fakechroot when entering a debirf profile.
  * fix kernel arch determination.
  * change shebang line for all modules that call debirf_exec to
    /bin/bash, so they will work properly when /bin/sh is not /bin/bash.
    this also includes changes to enter subcommand to compensate (closes
    CMRG #99)  (Closes: #508041).
  * add -e to all module shebang lines as well, so all errors are properly
    caught.
  * fix path in fakeroot_if_needed to not include $PATH, to bypass
    problems with the path of the calling user.
  * have setup_environment handle setup of DEBIRF_PROFILE variable.

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Tue, 09 Dec 2008 17:35:12 -0500

debirf (0.20-1) unstable; urgency=low

  * new upstream packaging/build system.  all-inclusive makefile, and
    simplified debhelper rules.

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Tue, 04 Nov 2008 15:30:13 -0500

debirf (0.19-3) unstable; urgency=low

  * update debhelper version, and remove unused debhelper scripts.
  * add more info to 0.19-2 changelog entry.
  * fix Uploader info (email address).

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Thu, 30 Oct 2008 00:00:27 -0400

debirf (0.19-2) unstable; urgency=low

  * closes ITP bug with wnpp (Closes: #503625)

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Mon, 27 Oct 2008 21:30:28 -0400

debirf (0.19-1) unstable; urgency=low

  * use genisoimage, instead of the now-obsolete mkisofs, to make iso's,
    and fixed some small bugs in iso generation.
  * update standards version to 3.8.0.
  * add cryptsetup to resuce module.

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Mon, 27 Oct 2008 16:12:50 -0400

debirf (0.18-2) unstable; urgency=low

  * change Depends: to allow for busybox-static.

 -- Jameson Rollins <jrollins@fifthhorseman.net>  Sun, 30 Mar 2008 12:50:29 -0400

debirf (0.18-1) unstable; urgency=low

  * fix shebang in a0_prep-root to call bash instead of sh, because of
    bashism in script.
  * add DEBIRF_KEYRING variable to debirf.conf files.
  * change DISTRO to SUITE (closes CMRG #89)
  * go back to default dhcp client (dhcp3-client instead of udhcpd)
    (closes CMRG #88)
  * smarter determination of default suite, distro, mirror, and keyring.
    better defaults for Ubuntu (closes CMRG #87)
  * change to smarter option setting for debootstrap in the
    create_debootstrap function that actually works now (works for
    files with spaces in them).

 -- Jameson Rollins <jrollins@fifthhorseman.net>  Fri, 07 Mar 2008 17:19:22 -0500

debirf (0.17-1) unstable; urgency=low

  * actually release really stupid bugs in getopt code associated with
    gpg debootstrap verification.
  * edited README to align with new debirf verbs, and to make the examples
    more concrete.
  * made error messages a bit friendlier.
  * gpg verification of debootstrap can now use relative paths.

 -- Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>  Thu, 28 Feb 2008 19:00:29 -0500

debirf (0.16-1) unstable; urgency=low

  * have xkiosk module purge session on restart (closes CMRG #83)
  * added partimage to rescue module
  * new "makeiso" subcommand to build a bootable CD-ROM image, at least on
    i386 and amd64 architectures. (closes CMRG #63)
  * set up cryptographic verification of the debootstrap step.

 -- Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>  Wed, 30 Jan 2008 18:29:06 -0500

debirf (0.15-1) unstable; urgency=low

  * fixed problem with stale fakeroot state files (close CMRG #81)

 -- Jameson Rollins <jrollins@fifthhorseman.net>  Tue, 15 Jan 2008 11:34:24 -0500

debirf (0.14-1) unstable; urgency=low

  * changed name of main build script to 'debirf' from 'make-debirf'
  * added subcommand architecture (make, enter, help) (closes CMRG #65)
  * and "enter" subcommand to enter root (closes CMRG #73)
  * removed separate specification of debirf root directory
  * added install-manpages module (no longer installing manpages by default)
  * pruned more unnecessary packages from make
  * remove build-debirf-kernel, since no longer needed
  * improved install-kernel module to only download need kernel package
    (closes CMRG #67)
  * move bootstap.log to $DEBIRF_BUILDD/.bootstrap.log
  * set debconf frontend to Noninteractive in prep-root module
  * now handling break={top,preunpack,bottom} kernel parameters in nest
    (closes CMRG #55)
  * new install-runit module, jumps through hoops to overcome limitations
    of runit postinst script (closes CMRG #71)
  * added "no-initrd" option to make subcommand
  * added "network-dhcp" module to automatically bring up nic dhcp (added
    it to dependency list of xkiosk module) (closes CMRG #78)
  * changed old "networking" module to "network"
  * added root-passwd module, and added it to xkiosk profile.
  * added Vcs-Svn, Vcs-Browser, and XS-Dm-Upload-Allowed fields to
    debian/control
  * make xkiosk back off if there are 5 restarts in under a minute
    (closes CMRG #74)
  * remove PCI device ID from default xorg.conf (autodetection seems to
    work better)

 -- Jameson Rollins <jrollins@fifthhorseman.net>  Sun, 13 Jan 2008 22:01:57 -0500

debirf (0.13-1) unstable; urgency=low

  * example profiles are now tgz archives (closes CMRG #46)
  * added new full devices.tar.gz to create fuller device tree, therefore
    not requiring the install-udev module (closes CMRG #60)
  * transition to non-native packaging (closes CMRG #26)
  * added exit-on-error to modules install run-parts
  * removed old useless create_initrd functions
  * fixed path problem for fakeroot_if_needed
  * add more info to select when root exists

 -- Jameson Rollins <jrollins@fifthhorseman.net>  Wed, 09 Jan 2008 18:46:02 -0500

debirf (0.12) unstable; urgency=low

  * change name of "plugins" to "modules".  hopefully this will elliminate
    at least my uneasyness about the requirement of some of the modules.
    this will require people to rename their existing "plugins"
    directories to be "modules".
  * re-added prep-root module
  * expanded info in debirf.conf on image, includes debirf version (ticket #21)

 -- Jameson Rollins <jrollins@fifthhorseman.net>  Fri, 21 Dec 2007 17:21:22 -0500

debirf (0.11) unstable; urgency=low

  * finally, working fakechroot/non-privileged build method!  superuser
    privileges no longer required (and are in fact now discouraged)
  * udev is now required for non-pirvileged builds to function, though.
  * make tmpfs 10G by default
  * prune some unneeded packages (cron, logrotate, ed, tcpd, tasksel)

 -- Jameson Rollins <jrollins@fifthhorseman.net>  Thu, 20 Dec 2007 09:17:02 -0500

debirf (0.10) unstable; urgency=low

  * moved all files to GPLv3 (closes CMRG #50)
  * simplify kernel installation.  now will accept deb as command line
    parameter, or make-debirf will just figure out the kernel itself
    (closes CMRG #48)
  * updated man page

 -- Jameson Rollins <jrollins@fifthhorseman.net>  Tue, 11 Dec 2007 15:31:22 -0500

debirf (0.9) unstable; urgency=low

  * added DEBIRF_KERNEL_PACKAGE to debirf.conf
  * added more informative error message when profile is malformed.

 -- Jameson Rollins <jrollins@fifthhorseman.net>  Mon, 10 Dec 2007 17:52:43 -0500

debirf (0.8) unstable; urgency=low

  * simplified profile checking.
  * fixed/cleaned-up install-kernel plugin to extract kernel rather than
    install (ticket #49).
  * added install-udev plugin.

 -- Jameson Rollins <jrollins@fifthhorseman.net>  Mon, 10 Dec 2007 12:12:04 -0500

debirf (0.7) unstable; urgency=low

  * added ability to just create initramfs from pre-build root.

 -- Jameson Rollins <jrollins@fifthhorseman.net>  Mon, 03 Dec 2007 23:13:34 -0500

debirf (0.6) unstable; urgency=low

  * new create_initrd_nested build function, boots debirf into tmpfs,
    which is cleaner and more stable and is now the default.
  * added ability to run make-debirf with fakechroot ('-f' option).  there
    are problems creating the device tree with this method, though, so it
    is still underdevelopment.
  * modified debootstrap, plugin run-parts, and debirf_exec to also use
    fakechroot
  * being root *should* no longer be necessary to make-debirf, therefore
    make-debirf has been moved to /usr/bin/
  * debirf can now function in rootfs with stock debian kernels (as of 2.6.22)
  * removed /var/lib/debirf
  * removed /etc/debirf in favor of doc/example-profiles
  * added xkiosk plugin to start X session with browser on startup
  * added xkiosk profile
  * added getopt for command line argument checking
  * added command line arguments to skip some checking/user interaction
  * can now pass kernel package name to make-debirf, instead of just deb,
    although proper package checking is not fully working

 -- Jameson Rollins <jrollins@fifthhorseman.net>  Mon, 03 Dec 2007 00:40:46 -0500

debirf (0.5) unstable; urgency=low

  * fixed old broken references to DEBIAN_PATH environment variable
  * fix apt-get-disk-rescue plugin to stop mdadm daemon after install (was
    preventing /proc from being unmounted)
  * tweaked install-kernel plugin
  * mknod /dev/ttyS0 in serial-terminal plugin
  * moved profiles directory to /etc/debirf/profiles
  * added 'minimal' profile

 -- Jameson Rollins <jrollins@fifthhorseman.net>  Mon, 05 Nov 2007 00:53:26 -0500

debirf (0.4) unstable; urgency=low

  * added more options when existing DEBIRF_ROOT found
  * fixed bug about where initrd is written (closes CMRG #16)
  * added new profiles structure, with default pre-configured "disk-rescue"
    profile
  * added motd plugin

 -- Jameson Rollins <jrollins@fifthhorseman.net>  Fri, 11 May 2007 00:21:10 -0400

debirf (0.3) unstable; urgency=low

  * simplified plugin infrastructure (only single plugin directory now)
  * updated man pages
  * added license information to all files

 -- Jameson Rollins <jrollins@fifthhorseman.net>  Sat, 24 Mar 2007 16:29:49 -0400

debirf (0.2) unstable; urgency=low

  * added kernel-package, fakeroot, and linux-patch-inittmpfs to
    Recommends: to encourage use of build-debirf-kernel

 -- Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>  Thu, 15 Mar 2007 03:17:36 -0400

debirf (0.1) unstable; urgency=low

  * initial debian packaging

 -- Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>  Thu, 15 Mar 2007 00:58:17 -0400

